Bug 10536 - delete replication corruption
delete replication corruption
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.1.4
All All
: P5 normal
: ---
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-03 14:03 UTC by Stefan Metzmacher
Modified: 2014-06-10 21:10 UTC (History)
1 user (show)

See Also:


Attachments
Patches for master (9.42 KB, patch)
2014-04-03 14:09 UTC, Stefan Metzmacher
no flags Details
fix for 4.1, just for completeness, NOT for upstream, cherry-picked from master (41.01 KB, patch)
2014-05-08 08:59 UTC, Björn Baumbach
metze: review-
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2014-04-03 14:03:22 UTC
With older Samba versions (4.0.x) the following could happen:

- On account was created on DC1
- It was replicated to DC2
- The connection between the dcs is offline
- The account gets modified on DC2
- The account gets deleted on DC1
- The connection becomes online again
- DC1 replicates the modification from DC2,
  this resets the dn to the original value.
  'name' and 'cn' are correct (with '\nDEL${GUID}'),
  but 'dn' is wrong.
- DC2 replicates the deletion from DC1.
  this doesn't include a changed dn as DC1
  had a bug.
  'name' is correct (with '\nDEL${GUID}'),
  but 'cn' and 'dn' are wrong.
Comment 1 Stefan Metzmacher 2014-04-03 14:09:03 UTC
Created attachment 9826 [details]
Patches for master
Comment 2 Björn Baumbach 2014-05-08 08:59:00 UTC
Created attachment 9922 [details]
fix for 4.1, just for completeness, NOT for upstream, cherry-picked from master

The patch is a collection of patches from master that applies to 4.1 and fixes this bug. This is just for completeness and is NOT for 4-1-test, since it changes the ldb version.

Metze, please set your "-".
Comment 3 Stefan Metzmacher 2014-05-08 09:00:53 UTC
Comment on attachment 9922 [details]
fix for 4.1, just for completeness, NOT for upstream, cherry-picked from master

This is not for a 4.1.x release! Because it requires a newer ldb version.
Comment 4 Stefan Metzmacher 2014-06-10 21:10:16 UTC
Will be fixed in 4.2.0